<?php

namespace qfq;

//use qfq;

require_once(__DIR__ . '/Define.php');
require_once(__DIR__ . '/Error.php');


class Sendmail {

    /**
     * @var Log
     */
    private $Log;

    /**
     * Constructor:
     *
     * @param Log $fr_log
     */

    public function __construct(Log $fr_log) {

        $this->Log = $fr_log;
    }

    /**
     * Send an email. Mail delivery should work - else the mails might disappear
     * Seperate lines in the body with '\r\n'
     * RC: if RC==0 Returns Output, else 'RC - Output'
     *
     * @param    array $mailarr : $mailarr['receiver'] (multiple with comma), $mailarr['sender'], $mailarr['subject'], $mailarr['body']
     * @return string
     */

    public function sendmail($mailarr) {
        $status = 'E';

        // sending only if there is a receiver !
        if ($mailarr['receiver']) {
            // if(mail($receiver,$subject,$message, "From: ".$sender."\nX-Mailer: PHP/ . $phpversion()", "-f ".$sender))
            if (mail($mailarr['receiver'], $mailarr['subject'], $mailarr['body'], "X-Mailer: PHP/" . phpversion() . "\r\nFrom: " . $mailarr['sender'] . ".\r\n", "-f " . $mailarr['sender'])) {
                $msg = "Mail has been sent";
                $status = 'I';
            } else {
                $msg = "Sending Mail not accepted";
            }
        } else {
            $msg = "Mail not sent: missing receiver";
        }

        // Log every mail
        $this->Log->log_mail("form", $status, $msg, $mailarr);

        return ($msg);
    } // sendmail()

}
